﻿namespace Brizco.Domain.CommandQueries.Commands;

public sealed record CreateComplexCommand(string Name, string Address, string SupportPhone) 
    : IRequest<ComplexSDto>;

public sealed record CreateComplexUserCommand(Guid ComplexId,Guid UserId,Guid RoleId)
    : IRequest<ComplexUserSDto>;

public sealed record DeleteComplexUserCommand(Guid ComplexUserId)
    : IRequest<bool>;

public sealed record UpdateComplexCommand(Guid Id, string Name, string Address, string SupportPhone) 
    : IRequest<bool>;

public sealed record DeleteComplexCommand(Guid Id)
    : IRequest<bool>;