﻿using Brizco.Domain.Entities.Task;

namespace Brizco.Domain.Dtos.LargDtos;

public class TaskLDto : BaseDto<TaskLDto, Entities.Task.Task>
{
    public TaskType Type { get; set; }
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public bool IsRelatedToShift { get; set; }
    public bool IsRelatedToRole { get; set; }
    public bool IsRelatedToPerson { get; set; }
    public bool IsDisposable { get; set; }
    public DateTime SetFor { get; set; }
    public bool HasDisposed { get; set; }


    public int Amount { get; set; }
    public PurchaseAmountType AmountType { get; set; }


    public List<TaskUserSDto> Users { get; set; } = new();

    public List<TaskShiftSDto> Shifts { get; set; } = new();

    public List<TaskRoleSDto> Roles { get; set; } = new();
}