﻿namespace Brizco.Domain.Dtos.SmallDtos;

public class TaskSDto : BaseDto<TaskSDto,Entities.Task.Task>
{
    public TaskType Type { get; set; }
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public bool IsRelatedToShift { get; set; }
    public bool IsRelatedToRole { get; set; }
    public bool IsRelatedToPerson { get; set; }
    public bool IsDisposable { get; set; }
    public DateTime SetFor { get; set; }
    public bool HasDisposed { get; set; }
    public Guid ComplexId { get; set; }


    public int Amount { get; set; }
    public PurchaseAmountType AmountType { get; set; }
}