﻿using Brizco.Domain.Entities.User;

namespace Brizco.Domain.Entities.Shift;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class ShiftPlanUser : ApiEntity
{
    public ShiftPlanUser()
    {
        
    }

    public ShiftPlanUser(Guid shiftPlanId,  Guid applicationUserId)
    {
        ShiftPlanId = shiftPlanId;
        ApplicationUserId = applicationUserId;
    }
    public Guid ShiftPlanId { get; internal set; }
    public ShiftPlan? ShiftPlan { get; internal set; }

    public Guid ApplicationUserId { get; internal set; }
    public ApplicationUser? ApplicationUser { get; internal set; }
}