﻿using Brizco.Domain.Entities.User;

namespace Brizco.Domain.Entities.Task;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class TaskRole : ApiEntity
{
    public TaskRole()
    {
        
    }

    public TaskRole(Guid roleId, Guid taskId)
    {
        RoleId = roleId;
        TaskId = taskId;
    }
    public Guid RoleId { get; internal set; }
    public virtual ApplicationRole? Role { get; internal set; }
    public Guid TaskId { get; internal set; }
    public virtual Task? Task { get; internal set; }

}